Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class Message

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.Message

    public class Message
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Message()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getBody()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.util.List<BGServerFile>` | `getFileList()` |
  `int` | `getId()` |
  `int` | `getTopicId()` |
  `int` | `getUserIdFrom()` |
  `int` | `getUserIdTo()` |
  `java.lang.String` | `getUserNameFrom()` |
  `java.lang.String` | `getUserNameTo()` |
  `java.lang.String` | `getUuid()` |
  `boolean` | `isIncludes()` |
  `void` | `setBody​(java.lang.String body)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setFileList​(java.util.List<BGServerFile> fileList)` |
  `void` | `setId​(int id)` |
  `void` | `setIncludes​(boolean includes)` |
  `void` | `setTopicId​(int topicId)` |
  `void` | `setUserIdFrom​(int userIdFrom)` |
  `void` | `setUserIdTo​(int userIdTo)` |
  `void` | `setUserNameFrom​(java.lang.String userNameFrom)` |
  `void` | `setUserNameTo​(java.lang.String userNameTo)` |
  `void` | `setUuid​(java.lang.String uuid)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### getBody

    public java.lang.String getBody()

  - ### setBody

    public void setBody​(java.lang.String body)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTopicId

    public int getTopicId()

  - ### setTopicId

    public void setTopicId​(int topicId)

  - ### getUserIdFrom

    public int getUserIdFrom()

  - ### setUserIdFrom

    public void setUserIdFrom​(int userIdFrom)

  - ### getUserNameFrom

    public java.lang.String getUserNameFrom()

  - ### setUserNameFrom

    public void setUserNameFrom​(java.lang.String userNameFrom)

  - ### getUserIdTo

    public int getUserIdTo()

  - ### setUserIdTo

    public void setUserIdTo​(int userIdTo)

  - ### getUserNameTo

    public java.lang.String getUserNameTo()

  - ### setUserNameTo

    public void setUserNameTo​(java.lang.String userNameTo)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getUuid

    public java.lang.String getUuid()

  - ### setUuid

    public void setUuid​(java.lang.String uuid)

  - ### isIncludes

    public boolean isIncludes()

  - ### setIncludes

    public void setIncludes​(boolean includes)

  - ### getFileList

    public java.util.List<BGServerFile> getFileList()

  - ### setFileList

    public void setFileList​(java.util.List<BGServerFile> fileList)